## burner-media

burner-media

## Functions

void | burner_media_library_start ()
void | burner_media_library_stop ()
GOptionGroup * | burner_media_get_option_group ()
GQuark | burner_media_quark ()
#define | BURNER_MEDIUM_VALID()
#define | BURNER_MEDIUM_TYPE()
#define | BURNER_MEDIUM_ATTR()
#define | BURNER_MEDIUM_STATUS()
#define | BURNER_MEDIUM_SUBTYPE()
#define | BURNER_MEDIUM_INFO()
#define | BURNER_MEDIUM_IS()
#define | BURNER_MEDIUM_RANDOM_WRITABLE()

## Types and Values

#define | LIBBURNER_MEDIA_VERSION_MAJOR
#define | LIBBURNER_MEDIA_VERSION_MINOR
#define | LIBBURNER_MEDIA_VERSION_MICRO
#define | LIBBURNER_MEDIA_AGE
#define | LIBBURNER_MEDIA_INSTALL
#define | BURNER_MEDIA_ERROR
enum | BurnerMediaError
enum | BurnerMedia
#define | BURNER_MEDIUM_CDROM
#define | BURNER_MEDIUM_CDR
#define | BURNER_MEDIUM_CDRW
#define | BURNER_MEDIUM_DVD_ROM
#define | BURNER_MEDIUM_DVDR
#define | BURNER_MEDIUM_DVDRW
#define | BURNER_MEDIUM_DVDRW_RESTRICTED
#define | BURNER_MEDIUM_DVDR_DL
#define | BURNER_MEDIUM_DVDR_JUMP_DL
#define | BURNER_MEDIUM_DVDR_PLUS
#define | BURNER_MEDIUM_DVDRW_PLUS
#define | BURNER_MEDIUM_DVDR_PLUS_DL
#define | BURNER_MEDIUM_DVDRW_PLUS_DL
#define | BURNER_MEDIUM_DVD_RAM
#define | BURNER_MEDIUM_BD_ROM
#define | BURNER_MEDIUM_BDR_SRM
#define | BURNER_MEDIUM_BDR_SRM_POW
#define | BURNER_MEDIUM_BDR_RANDOM
#define | BURNER_MEDIUM_BDRE

## Description

## Functions

### burner_media_library_start ()

    void
    burner_media_library_start (void);

Initialize the library.

You should call this function before using any other from the library.

Rename to: init

### burner_media_library_stop ()

    void
    burner_media_library_stop (void);

De-initialize the library once you do not need the library anymore.

Rename to: deinit

### burner_media_get_option_group ()

    GOptionGroup *
    burner_media_get_option_group (void);

Returns a GOptionGroup for the commandline arguments recognized by libburner-media. You should add this to your GOptionContext if your are using `g_option_context_parse()` to parse your commandline arguments.

#### Returns

a GOptionGroup *

### burner_media_quark ()

    GQuark
    burner_media_quark (void);

### BURNER_MEDIUM_VALID()

    #define             BURNER_MEDIUM_VALID(media)

### BURNER_MEDIUM_TYPE()

    #define BURNER_MEDIUM_TYPE(media) ((media) & 0x003F)

### BURNER_MEDIUM_ATTR()

    #define BURNER_MEDIUM_ATTR(media) ((media) & 0x1C000)

### BURNER_MEDIUM_STATUS()

    #define BURNER_MEDIUM_STATUS(media) ((media) & 0xE0000)

### BURNER_MEDIUM_SUBTYPE()

    #define BURNER_MEDIUM_SUBTYPE(media) ((media) & 0x1FC0)

### BURNER_MEDIUM_INFO()

    #define BURNER_MEDIUM_INFO(media) ((media) & 0xFE0000)

### BURNER_MEDIUM_IS()

    #define BURNER_MEDIUM_IS(media, type) (((media)&(type))==(type))

### BURNER_MEDIUM_RANDOM_WRITABLE()

    #define             BURNER_MEDIUM_RANDOM_WRITABLE(media)

## Types and Values

### LIBBURNER_MEDIA_VERSION_MAJOR

    #define             LIBBURNER_MEDIA_VERSION_MAJOR

### LIBBURNER_MEDIA_VERSION_MINOR

    #define             LIBBURNER_MEDIA_VERSION_MINOR

### LIBBURNER_MEDIA_VERSION_MICRO

    #define             LIBBURNER_MEDIA_VERSION_MICRO

### LIBBURNER_MEDIA_AGE

    #define             LIBBURNER_MEDIA_AGE

### LIBBURNER_MEDIA_INSTALL

    #define             LIBBURNER_MEDIA_INSTALL

### BURNER_MEDIA_ERROR

    #define BURNER_MEDIA_ERROR burner_media_quark()

The GQuark used for BurnerMediaError

### enum BurnerMediaError

Error codes returned by libburner-media

#### Members

BURNER_MEDIA_ERROR_NONE |  |
BURNER_MEDIA_ERROR_GENERAL |  |
BURNER_MEDIA_ERROR_IMAGE_INVALID |  |

### enum BurnerMedia

This enum allows one to define all characteristics for a media (closed, writable, ...) and identify all types of optical media.

#### Members

BURNER_MEDIUM_UNSUPPORTED |  |
BURNER_MEDIUM_BUSY |  |
BURNER_MEDIUM_NONE |  |
BURNER_MEDIUM_FILE |  |
BURNER_MEDIUM_CD |  |
BURNER_MEDIUM_DVD |  |
BURNER_MEDIUM_BD |  |
BURNER_MEDIUM_DUAL_L |  |
BURNER_MEDIUM_RAM |  |
BURNER_MEDIUM_PLUS |  |
BURNER_MEDIUM_SEQUENTIAL |  |
BURNER_MEDIUM_RESTRICTED |  |
BURNER_MEDIUM_JUMP |  |
BURNER_MEDIUM_RANDOM |  |
BURNER_MEDIUM_SRM |  |
BURNER_MEDIUM_POW |  |
BURNER_MEDIUM_REWRITABLE |  |
BURNER_MEDIUM_WRITABLE |  |
BURNER_MEDIUM_ROM |  |
BURNER_MEDIUM_BLANK |  |
BURNER_MEDIUM_CLOSED |  |
BURNER_MEDIUM_APPENDABLE |  |
BURNER_MEDIUM_UNFORMATTED |  |
BURNER_MEDIUM_PROTECTED |  |
BURNER_MEDIUM_HAS_DATA |  |
BURNER_MEDIUM_HAS_AUDIO |  |

### BURNER_MEDIUM_CDROM

    #define             BURNER_MEDIUM_CDROM

### BURNER_MEDIUM_CDR

    #define             BURNER_MEDIUM_CDR

### BURNER_MEDIUM_CDRW

    #define             BURNER_MEDIUM_CDRW

### BURNER_MEDIUM_DVD_ROM

    #define             BURNER_MEDIUM_DVD_ROM

### BURNER_MEDIUM_DVDR

    #define             BURNER_MEDIUM_DVDR

### BURNER_MEDIUM_DVDRW

    #define             BURNER_MEDIUM_DVDRW

### BURNER_MEDIUM_DVDRW_RESTRICTED

    #define             BURNER_MEDIUM_DVDRW_RESTRICTED

### BURNER_MEDIUM_DVDR_DL

    #define             BURNER_MEDIUM_DVDR_DL

### BURNER_MEDIUM_DVDR_JUMP_DL

    #define             BURNER_MEDIUM_DVDR_JUMP_DL

### BURNER_MEDIUM_DVDR_PLUS

    #define             BURNER_MEDIUM_DVDR_PLUS

### BURNER_MEDIUM_DVDRW_PLUS

    #define             BURNER_MEDIUM_DVDRW_PLUS

### BURNER_MEDIUM_DVDR_PLUS_DL

    #define             BURNER_MEDIUM_DVDR_PLUS_DL

### BURNER_MEDIUM_DVDRW_PLUS_DL

    #define             BURNER_MEDIUM_DVDRW_PLUS_DL

### BURNER_MEDIUM_DVD_RAM

    #define             BURNER_MEDIUM_DVD_RAM

### BURNER_MEDIUM_BD_ROM

    #define             BURNER_MEDIUM_BD_ROM

### BURNER_MEDIUM_BDR_SRM

    #define             BURNER_MEDIUM_BDR_SRM

### BURNER_MEDIUM_BDR_SRM_POW

    #define             BURNER_MEDIUM_BDR_SRM_POW

### BURNER_MEDIUM_BDR_RANDOM

    #define             BURNER_MEDIUM_BDR_RANDOM

### BURNER_MEDIUM_BDRE

    #define             BURNER_MEDIUM_BDRE